#pragma once

namespace Minisat
{
	struct Lit;
	template<typename T> class vec;
}

void ccc_init();
void ccc_init_trail(int variableCount);
void ccc_shutdown();
void ccc_serviceMessages(Minisat::vec<Minisat::Lit>& assumptions);
void ccc_handleUnsat(Minisat::vec<Minisat::Lit>& assumptions, int level);
void ccc_handleSat(Minisat::vec<Minisat::Lit>& assumptions);
int ccc_updateAssumptions(Minisat::vec<Minisat::Lit>& assumptions);
int ccc_getIsRemoteExiting();
int ccc_getRootLevel();
